(* HCoop Domtool (http://hcoop.sourceforge.net/)
 * Copyright (c) 2006, Adam Chlipala
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *)

(* Driver for dbtool *)

val _ =
    case CommandLine.arguments () of
	[] => print "Invalid command-line arguments\n"
      | dbtype :: rest =>
	case Dbms.lookup dbtype of
	    NONE => print ("Unknown database type " ^ dbtype ^ ".\n")
	  | _ =>
	    case rest of
		["adduser"] => Main.requestDbUser dbtype
	      | _ => print "Invalid command-line arguments\n"
